Summary: Leading World Wide Web server
Name: apache
Version: 1.2.5
Release: 0.1
Group: Networking/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache_1.2.5.tar.gz
Source1: index.html
Source2: poweredby.gif
Source3: httpd.init
Source4: apache.log
Source5: mime.types
Patch: apache_1.2.4-rh.patch
Patch1: apache-1.2.6-headerdos.patch
Copyright: Freely distributable & usable
BuildRoot: /tmp/apache-root

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

%changelog

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- added fix for header dos attack

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to apache 1.2.5

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>

- backported to RH 4.2

* Wed Dec 30 1997 Erik Troan <ewt@redhat.com>

- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>

- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.

%prep
%setup -n apache_1.2.5
%patch -p1
%patch1 -p1 -b .dos

%build
cd src
./Configure
%ifarch alpha
make "EXTRA_LIBS=-ldb -lcrypt" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif
make -C ../support htpasswd htdigest

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/sbin /etc/httpd/conf /home/httpd/html /home/httpd/icons \
	/home/httpd/cgi-bin /usr/man/man1 /usr/man/man8 /usr/man/man1 \
	/var/log/httpd /etc/logrotate.d; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m755 src/httpd support/htdigest support/htpasswd \
	$RPM_BUILD_ROOT/usr/sbin

install -m755 support/dbmmanage.new $RPM_BUILD_ROOT/usr/sbin/dbmmanage

for I in httpd access srm; do
	install -m644 conf/$I.conf-dist $RPM_BUILD_ROOT/etc/httpd/conf/$I.conf
done

install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8/httpd.8
install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1/htpasswd.1
install -m644 icons/* $RPM_BUILD_ROOT/home/httpd/icons
install -m644 htdocs/apache_pb.gif $RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual
cp -r htdocs/manual/* $RPM_BUILD_ROOT/home/httpd/html/manual

install -m644 $RPM_SOURCE_DIR/poweredby.gif $RPM_SOURCE_DIR/index.html \
	$RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpd
done

install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache

install -m644 $RPM_SOURCE_DIR/mime.types $RPM_BUILD_ROOT/etc/httpd/conf/mime.types

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/httpd
/usr/sbin/dbmmanage
/usr/sbin/htpasswd
/usr/man/man8/httpd.8
/usr/sbin/htdigest
%config /etc/logrotate.d/apache
%config /etc/httpd/conf/access.conf
%config /etc/httpd/conf/srm.conf
%config /etc/httpd/conf/httpd.conf
%config /etc/httpd/conf/mime.types
%config /etc/rc.d/init.d/httpd
%config(missingok) /etc/rc.d/rc3.d/S85httpd
%config(missingok) /etc/rc.d/rc5.d/S85httpd
%config(missingok) /etc/rc.d/rc0.d/K15httpd
%config(missingok) /etc/rc.d/rc1.d/K15httpd
%config(missingok) /etc/rc.d/rc2.d/K15httpd
%config(missingok) /etc/rc.d/rc6.d/K15httpd
%dir /home/httpd
/home/httpd/icons
%dir /home/httpd/cgi-bin
%dir /home/httpd/html
%config(noreplace) /home/httpd/html/index.html
/home/httpd/html/manual
/home/httpd/html/apache_pb.gif
/home/httpd/html/poweredby.gif
%dir /var/log/httpd
